## sysutils 1.2-1

=== memtest-1.0.1/Makefile ===
CC = cc
CFLAGS = -v
REMOVE = rm

MEMTEST_SRC = memtest.c

all: memtest

makemem: $(CC) $(FLAGS) $(MEMTEST_SRC) -o memtest

install:
	chmod 755 memtest

clean:
	rm memtest
