## sysutils 1.3.2

=== procinfo-0.9/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	install -m 644  lsdev.8 /usr/local/man/man8/lsdev.8
 
 clean:
-	rm -f procinfo procinfo.0 *.o *~ out
+	-rm -f procinfo procinfo.0 *.o *~ out
 
 procinfo.o : procinfo.c procinfo.h 
 routines.o : routines.c procinfo.h
