=== tofrodos-1.0/Makefile ===
--- 
+++ 
@@ -102,7 +102,7 @@
 all: $(FROMDOS) $(TODOS)
 
 clean:
-	$(RM) $(OBJS)
+	-$(RM) $(OBJS) $(FROMDOS) $(TODOS)
 
 clobber: clean
 	$(RM) $(FROMDOS) $(TODOS) fromdos.elf fromdos.out
