=== debian/changelog ===
sysutils (1.3.2) unstable; urgency=low

  * New release corrected a couple of debian/rules issues.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 17 Dec 2017 03:53:58 -0500

sysutils (1.3.1) unstable; urgency=low

  * Nonmaintainerrelease for libc6

 -- Christoph Lameter <clameter@debian.org>  Thu, 13 Nov 1997 10:45:08 +0000

sysutils (1.3) unstable; urgency=low

  * New packaging scheme instituted

 -- Michael Alan Dorman <mdorman@debian.org>  Fri,  4 Jul 1997 20:57:19 -0400

Local variables:
mode: debian-changelog
user-mail-address: "mdorman@debian.org"
End:
