=== debian/control ===
Source: sysutils
Maintainer: Michael Alan Dorman <mdorman@debian.org>
Standards-Version: 2.3.0.1

Package: sysutils
Architecture: any
Depends: perl, ${shlibs:Depends}
Conflicts: bogo, memtest, procinfo
Description: Miscellaneous small system utilities.
 This is a package encorporating various small utilities which are:
  *  procinfo - Displays system information from /proc (v0.9).
  *   memtest - Test system memory for errors (v1.0.1).
  *      bogo - Shows the current bogomips rating without rebooting (v1.2).
  *  tofrodos - Converts DOS <-> Unix text files (v1.0).
