=== debian/rules ===
#!/usr/bin/make -f

package=sysutils
tempdir=$(shell pwd)/debian/tmp
insdirs=$(tempdir)/$(package)/DEBIAN \
	$(tempdir)/$(package)/usr/bin \
	$(tempdir)/$(package)/usr/doc/$(package) \
	$(tempdir)/$(package)/usr/man/man1 \
	$(tempdir)/$(package)/usr/man/man8 \
	$(tempdir)/$(package)/usr/sbin

binary: binary-indep binary-arch

binary-arch: debian/control checkroot build $(insdirs)
	install -m 755 procinfo-0.9/procinfo $(tempdir)/$(package)/usr/bin
	install -m 755 procinfo-0.9/lsdev.pl $(tempdir)/$(package)/usr/bin/lsdev
	install -m 755 memtest-1.0.1/memtest $(tempdir)/$(package)/usr/sbin
	install -m 755 bogo-1.2/bogomips $(tempdir)/$(package)/usr/bin
	install -m 755 tofrodos-1.0/fromdos $(tempdir)/$(package)/usr/bin/fromdos
	( cd $(tempdir)/$(package)/usr/bin ; ln -s fromdos todos ; ln -s fromdos dos2unix ; ln -s fromdos unix2dos )
	install -m 644 debian/sysutils.1 $(tempdir)/$(package)/usr/man/man1
	install -m 644 procinfo-0.9/procinfo.8 $(tempdir)/$(package)/usr/man/man8
	install -m 644 procinfo-0.9/lsdev.8 $(tempdir)/$(package)/usr/man/man8/lsdev.8
	install -m 644 memtest-1.0.1/memtest.1 $(tempdir)/$(package)/usr/man/man1
	install -m 644 bogo-1.2/bogomips.1 $(tempdir)/$(package)/usr/man/man1
	install -m 644 tofrodos-1.0/fromdos.1 $(tempdir)/$(package)/usr/man/man1/fromdos.1
	( cd $(tempdir)/$(package)/usr/man/man1 ; ln -s fromdos.1.gz todos.1 ; ln -s fromdos.1.gz dos2unix.1 ; ln -s fromdos.1.gz unix2dos.1 )
	install -m 644 debian/changelog $(tempdir)/$(package)/usr/doc/$(package)/changelog.debian
	install -m 644 debian/copyright $(tempdir)/$(package)/usr/doc/$(package)
	find $(tempdir)/$(package)/usr/doc -type f | xargs -r gzip -v9	
	find $(tempdir)/$(package)/usr/man -type f | xargs -r gzip -v9	
	dpkg-shlibdeps procinfo-0.9/procinfo memtest-1.0.1/memtest bogo-1.2/bogomips tofrodos-1.0/fromdos
	dpkg-gencontrol -P$(tempdir)/$(package) -p$(package)
	dpkg --build $(tempdir)/$(package) ..

binary-indep: debian/control checkroot build $(insdirs)

CC = gcc
CFLAGS = -O2 -fomit-frame-pointer
LDFLAGS = -s

build: debian/control
	( cd procinfo-0.9 && make CFLAGS="$(CFLAGS) -s" LDFLAGS="$(LDFLAGS)" LDLIBS="-lncurses" )
	( cd memtest-1.0.1 && make CFLAGS="$(CFLAGS) -s" LDFLAGS="$(LDFLAGS)" )
	( cd bogo-1.2 && make CFLAGS="$(CFLAGS) -s -finline-functions -Wall" LDFLAGS="$(LDFLAGS)" )
	( cd tofrodos-1.0 && make CFLAGS="$(CFLAGS) -c -s -Wall" LDFLAGS="$(LDFLAGS)" )
	touch build

checkroot: debian/control
	test "root" = "$(shell whoami)"

clean: debian/control
	( cd bogo-1.2 && make clean )
	( cd memtest-1.0.1 && make clean )
	( cd procinfo-0.9 && make clean )
	( cd tofrodos-1.0 && make clean )
	for i in build debian/files `find -name "*~"`; do \
		if [ -e $$i ]; then \
			rm -f $$i; \
		fi; \
	done
	for i in $(tempdir); do \
		if [ -d $$i ]; then \
			rm -rf $$i; \
		fi; \
	done

$(insdirs):
	if [ -d $@ ]; then \
		rm -rf $@; \
	fi
	install -d -m 755 $@
	chmod g-s $@

.PHONY: binary binary-arch binary-indep checkroot clean

#Local variables:
#mode: makefile
#End:
