=== memtest-1.0.1/Makefile ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	chmod 755 memtest
 
 clean:
-	rm memtest
+	-rm memtest
