=== debian/changelog ===
sysutils (1.3.6.1) unstable; urgency=low

  * Orphaned.  I only ever took it because it needed to be moved to
    the new packaging scheme.  I don't use it.  I don't even have it
    installed.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 10 Oct 1999 15:41:07 -0400

sysutils (1.3.6) unstable; urgency=low

  * Corrected perl dependency (closes: bug#41489, bug#41401)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 19 Jul 1999 09:44:42 -0400

sysutils (1.3.5) unstable; urgency=low

  * New version of procinfo. (closes: bug#37794, bug#36468, bug#33924)
  * Perms bugs taken care of (closes: bug#36831) 
  * Last update also corrected problems with absolute file names (closes: bug#29747)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 11 Jul 1999 16:24:24 -0400

sysutils (1.3.4) unstable; urgency=low

  * Close old fixed bug (closes: bug#5989)
  * Close old fixed bug (closes: bug#7682)
  * Code in procinfo should cope with no /proc/modules (closes: bug#13515)
  * Updated procinfo (closes: bug#29392)
  * Corrected description of included packages (closes: bug#30125)
  * procinfo update prints all irqs (closes: bug#31036)
  * tofrodos does work (closes: bug#33535)
  * tofrodos now has switch to preserve ownership (closes: bug#35172)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 29 Mar 1999 14:02:41 -0500

sysutils (1.3.3) unstable; urgency=low

  * New release.
  * Correct package description. (Bug#10375,18966)
  * Update version of procinfo to latest. (Bug#12079,18269,19929,23010)
  * Correct extention of manpage symlinks.  (Bug#18562,24952)
  * Correct declaration of argv in memtest.  (Bug#23581)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun,  1 Nov 1998 14:59:59 -0500
