=== debian/control ===
Source: sysutils
Maintainer: Debian QA Group <debian-qa@lists.debian.org>
Standards-Version: 2.5.0.0

Package: sysutils
Architecture: any
Depends: ${perl:Depends}, ${sysutils:Depends}
Conflicts: bogo, memtest, procinfo
Description: Miscellaneous small system utilities.
 This is a package incorporating various small utilities which are:
  *  procinfo - Displays system information from /proc (v16).
  *   memtest - Test system memory for errors (v1.0.1).
  *      bogo - Shows the current bogomips rating without rebooting (v1.2).
  * tofromdos - Converts DOS <-> Unix text files (v1.4).
