=== debian/changelog ===
sysutils (1.3.8.5.1) unstable; urgency=low

  * Non-maintainer upload, with the maintainer's permission.
  * Install /usr/doc symlink in the postinst and remove it in the prerm,
    rather than directly in the .deb (closes: #120025, #124304).
  * Call dh_clean in debian/rules' clean target.
  * Add 'Section: utils' to control file.

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Jan 2002 02:14:29 +0000

sysutils (1.3.8.5) unstable; urgency=low

  * Fixed missing /usr/doc symlink (closes: bug#96211)

 -- Lonnie Sauter <sauter@debian.org>  Thu, 03 May 2001 15:41:07 -0600

sysutils (1.3.8.4) unstable; urgency=low

  * Fixed missing debhelper in Build-Depends (closes: bug#92267)
  * New version of procinfo 18

 -- Lonnie Sauter <sauter@debian.org>  Sun, 22 Apr 2001 15:41:07 -0600

sysutils (1.3.8.3) unstable; urgency=low

  * Fixed missing depends (closes: bug#93611)

 -- Lonnie Sauter <sauter@debian.org>  Sat, 7 Apr 2001 15:41:07 -0600

sysutils (1.3.8.2) unstable; urgency=low

  * Fixed missing build depends in source package (closes: bug#92267)

 -- Lonnie Sauter <sauter@debian.org>  Sat, 7 Apr 2001 15:41:07 -0600

sysutils (1.3.8.1) stable; urgency=low

  * New version of memtester (2.93.1)
  * Fix typo in package description (closes: bug#74065)
    Patch received from Raphael Manfredi <Raphael_Manfredi@pobox.com>

 -- Lonnie Sauter <sauter@debian.org>  Thu, 1 Nov 2000 15:41:07 -0400

sysutils (1.3.7.2) unstable; urgency=low

  * patch to fix running "procinfo -d" on SMP kernels.
    Patch received from Raphael Manfredi <Raphael_Manfredi@pobox.com>

 -- Lonnie Sauter <sauter@debian.org>  Thu, 4 May 2000 15:41:07 -0400

sysutils (1.3.7.1) unstable; urgency=low

  * patch to fix SIGILL in procinfo on alpha/sparc/etc (closes: bug#46144).
    Patch received from Jason Gunthorpe <jgg@auric.debian.org>.

 -- Lonnie Sauter <sauter@debian.org>  Sat, 5 Feb 2000 15:41:07 -0400

sysutils (1.3.7) unstable; urgency=low

  * New version of memtest (closes: bug#52062)

 -- Lonnie Sauter <sauter@debian.org>  Sun, 9 Jan 2000 15:41:07 -0400

sysutils (1.3.6.2) unstable; urgency=low

  * I just took over this package.

 -- Lonnie Sauter <sauter@debian.org>  Sun, 9 Jan 2000 15:41:07 -0400
