=== debian/control ===
Source: sysutils
Section: utils
Priority: optional
Maintainer: Lonnie Sauter <sauter@debian.org>
Standards-Version: 3.1.0
Build-Depends: libncurses5-dev, debhelper

Package: sysutils
Architecture: any
Depends: libncurses5
Conflicts: bogo, memtest, procinfo
Replaces: bogo, memtest, procinfo
Description: Miscellaneous small system utilities.
 This is a package incorporating various small utilities which are:
  *  procinfo - Displays system information from /proc (v17).
  *   memtest - Test system memory for errors (v2.93.1).
  *  bogomips - Shows the current bogomips rating without rebooting (v1.2).
  * tofromdos - Converts DOS <-> Unix text files (v1.4).
