## sysutils 2.0.1

=== debian/changelog ===
sysutils (2.0.1) unstable; urgency=low

  * The sysutils package previously contained the utilities
    - memtester
    - procinfo
    - tofrodos
    - bogomips
    Except for the latter they are all split out into a separate package
    now as those utilities are fairly disconnected. This will eventually
    fix bug#253302. Please use those packages from now on, sysutils will
    remain as a dummy package for the time being and eventually be removed
    (Closes: #344566).
    bogomips will be just dropped, use "cat /proc/cpuinfo | grep ^bogo"
    instead (Closes: #341125).

 -- Florian Ernst <florian@debian.org>  Wed,  4 Jan 2006 02:35:10 +0100

sysutils (2.0.0-1) unstable; urgency=low

  * A plethora of changes, so jumping to version 2.0.0 for now
  * New maintainer, taking over with the previous maintainer's consent
    + changing to non-native packaging for the time being
    + follow current standards / best practices
      - make sure the package includes a Section header (Closes: #226303)
      - correct copyright reference and manpage placement (Closes: #127123)
      - extend / clarify long description, thanks to Justin B Rye
        (Closes: #332818)
      - drop legacy Conflicts and Replaces that were once necessary for Potato
    + using dpatch for any in-package adjustments
  * New upstream releases of most subparts (Closes: #340153), like
    + bogomips updated to 1.4.1
      - supposedly doesn't just fail on error (Closes: #198757)
    + memtester updated to 4.0.5
      - doesn't segfault anymore on a 2.6 kernel (Closes: #287611)
      - rewritten to be 64-bit clean (Closes: #126776)
      - can be run as non-root user, thus allows special tests
        (Closes: #259425), so also moving to /usr/bin
    + tofrodos updated to 1.7.6 (Closes: #306191)
      - dos2unix errors now go to stderr, not stdout (Closes: #140956)
      - dos2unix now behaves as expected (Closes: #149116)
      - clarifies symlinks (Closes: #180723)
      - corrects -d and -u explanation in manpage (Closes: #177874)
  * Further changes:
    + procinfo:
      - add 41_procinfo_use_HZ_from_kernel.dpatch, thanks to Guus Sliepen
        (Closes: #94337)
      - add 42_procinfo_paging_swap_disk_statistics_on_2.6.dpatch and
        43_procinfo_fix_CPU_percentage_display_on_2.6.dpatch, thanks to
        Arkadi Shishlov for the pointer and patch (Closes: #293429, #266589);
        this combined with 48_procinfo_simplify_counting_CPUs.dpatch allows
        procinfo to add up correctly on sparc, thanks to Peter Hunter
        (Closes: #174645)
      - add 44_procinfo_extend_load_average_in_manpage.dpatch, thanks to
        Kingsley G. Morse Jr. (Closes: #153946)
      - add 45_procinfo_prevent_buffer_overflows.dpatch, thanks to Benoit
        Dejean (Closes: #319980)
      - reinclude socklist utility, even though better alternatives such as
        lsof exist (Closes: #161237)
      - add 46_procinfo_manpage_typo.dpatch, thanks to A Costa
        (Closes: #305960)
    + tofrodos:
      - correct one typo in manpage, the others are actually correct, by
        adding 61_tofrodos_manpage_typo.dpatch (Closes: #305959)
    + debian/copyright: updated according to changes
    + debian/{postinst,prerm}: removed, not needed anymore; thus finally
      finishing the /usr/doc transition (Closes: #320084, #322798)
    + debian/sysutils.1: clarified (Closes: #305961)

 -- Florian Ernst <florian@debian.org>  Wed, 23 Nov 2005 22:51:49 +0100
