=== debian/control ===
Source: sysutils
Section: utils
Priority: optional
Maintainer: Florian Ernst <florian@debian.org>
Build-Depends-Indep: debhelper (>= 5)
Standards-Version: 3.6.2

Package: sysutils
Architecture: all
Depends: memtester, procinfo, tofrodos
Description: Miscellaneous small system utilities - dummy package
 This package previously incorporated various small utilities:
  * bogomips - Shows the current bogomips rating
  * memtest - From userspace, test system memory for errors,
    aka memtester. This is _not_ memtest86+ or memtest86.
  * procinfo - Displays system information from /proc, this also
    includes lsdev for displaying information about installed hardware
    and socklist for displaying a list of open sockets
  * tofromdos - Converts DOS <-> Unix text files via fromdos/dos2unix /
    todos/unix2dos, aka tofrodos
 .
 However, they have been split out into separate packages, so sysutils
 is just a dummy package depending on these utilities (except for bogomips
 which was dropped) to faciliate upgrades and eventually it will be
 completely removed.
